From: "Alexis Ballier" <aballier@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: media-tv/v4l-utils/
Date: Wed, 27 Feb 2019 16:30:42 +0000 (UTC) [thread overview]
Message-ID: <1551285030.f991530ac74c41404da667d70b093798ea26c0f1.aballier@gentoo> (raw)
commit: f991530ac74c41404da667d70b093798ea26c0f1
Author: Alexis Ballier <aballier <AT> gentoo <DOT> org>
AuthorDate: Wed Feb 27 16:30:06 2019 +0000
Commit: Alexis Ballier <aballier <AT> gentoo <DOT> org>
CommitDate: Wed Feb 27 16:30:30 2019 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=f991530a
media-tv/v4l-utils: Add bpf useflag.
Closes: https://bugs.gentoo.org/678894
Package-Manager: Portage-2.3.62, Repoman-2.3.12
Signed-off-by: Alexis Ballier <aballier <AT> gentoo.org>
media-tv/v4l-utils/metadata.xml | 3 ++
media-tv/v4l-utils/v4l-utils-1.16.3-r1.ebuild | 68 +++++++++++++++++++++++++++
2 files changed, 71 insertions(+)
diff --git a/media-tv/v4l-utils/metadata.xml b/media-tv/v4l-utils/metadata.xml
index 681f0dcf3b5..c7efa529292 100644
--- a/media-tv/v4l-utils/metadata.xml
+++ b/media-tv/v4l-utils/metadata.xml
@@ -5,4 +5,7 @@
<email>tetromino@gentoo.org</email>
<name>Alexandre Rostovtsev</name>
</maintainer>
+<use>
+ <flag name="bpf">Enables support for IR BPF decoders.</flag>
+</use>
</pkgmetadata>
diff --git a/media-tv/v4l-utils/v4l-utils-1.16.3-r1.ebuild b/media-tv/v4l-utils/v4l-utils-1.16.3-r1.ebuild
new file mode 100644
index 00000000000..648290a0728
--- /dev/null
+++ b/media-tv/v4l-utils/v4l-utils-1.16.3-r1.ebuild
@@ -0,0 +1,68 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+inherit flag-o-matic udev xdg-utils
+
+DESCRIPTION="Separate utilities ebuild from upstream v4l-utils package"
+HOMEPAGE="http://git.linuxtv.org/v4l-utils.git"
+SRC_URI="http://linuxtv.org/downloads/v4l-utils/${P}.tar.bz2"
+
+LICENSE="GPL-2+ LGPL-2.1+"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~hppa ~ppc64 ~sparc ~x86"
+IUSE="+bpf opengl qt5"
+
+RDEPEND=">=media-libs/libv4l-${PV}[jpeg]
+ qt5? (
+ dev-qt/qtcore:5
+ dev-qt/qtgui:5
+ opengl? ( dev-qt/qtopengl:5[-gles2(-)] virtual/opengl )
+ media-libs/alsa-lib
+ )
+ virtual/libudev
+ >=virtual/jpeg-0-r2:0=
+ bpf? ( virtual/libelf:= sys-devel/clang:*[llvm_targets_BPF] )
+ !media-tv/v4l2-ctl
+ !<media-tv/ivtv-utils-1.4.0-r2"
+DEPEND="${RDEPEND}"
+BDEPEND="
+ sys-devel/gettext
+ virtual/pkgconfig"
+
+src_configure() {
+ if use qt5; then
+ append-cxxflags -std=c++11
+ local qt5_paths=( \
+ MOC="$(pkg-config --variable=host_bins Qt5Core)/moc" \
+ UIC="$(pkg-config --variable=host_bins Qt5Core)/uic" \
+ RCC="$(pkg-config --variable=host_bins Qt5Core)/rcc" \
+ )
+ if use !opengl; then
+ sed -e 's/Qt5OpenGL/DiSaBlEd/g' -i configure || die
+ fi
+ fi
+ # Hard disable the flags that apply only to the libs.
+ econf \
+ --disable-static \
+ $(use_enable qt5 qv4l2) \
+ $(use_enable qt5 qvidcap) \
+ $(use_enable bpf) \
+ --with-udevdir="$(get_udevdir)" \
+ --with-jpeg \
+ "${qt5_paths[@]}"
+}
+
+src_install() {
+ emake -C utils DESTDIR="${D}" install
+ emake -C contrib DESTDIR="${D}" install
+
+ dodoc README
+ newdoc utils/libv4l2util/TODO TODO.libv4l2util
+ newdoc utils/libmedia_dev/README README.libmedia_dev
+ newdoc utils/dvb/README README.dvb
+ newdoc utils/v4l2-compliance/fixme.txt fixme.txt.v4l2-compliance
+}
+
+pkg_postinst() { xdg_icon_cache_update; }
+pkg_postrm() { xdg_icon_cache_update; }
next reply other threads:[~2019-02-27 16:30 UTC|newest]
Thread overview: 59+ messages / expand[flat|nested] mbox.gz Atom feed top
2019-02-27 16:30 Alexis Ballier [this message]
-- strict thread matches above, loose matches on Subject: below --
2024-07-26 19:19 [gentoo-commits] repo/gentoo:master commit in: media-tv/v4l-utils/ Sam James
2024-07-26 19:19 Sam James
2024-07-26 19:19 Sam James
2024-07-26 19:19 Sam James
2024-07-26 19:19 Sam James
2023-12-19 23:09 James Le Cuirot
2023-03-18 23:38 James Le Cuirot
2022-08-25 21:53 James Le Cuirot
2022-05-29 10:34 James Le Cuirot
2022-04-02 13:55 James Le Cuirot
2022-04-02 12:04 Arthur Zamarin
2022-04-01 6:53 Arthur Zamarin
2022-03-31 19:37 Arthur Zamarin
2022-03-30 11:48 Agostino Sarubbo
2022-03-30 11:47 Agostino Sarubbo
2022-03-30 11:47 Agostino Sarubbo
2022-03-30 11:46 Agostino Sarubbo
2021-10-24 20:22 James Le Cuirot
2021-10-24 20:22 James Le Cuirot
2021-08-01 18:27 Sam James
2021-04-13 0:26 Sam James
2021-01-17 10:29 James Le Cuirot
2021-01-05 20:51 Sam James
2021-01-03 11:51 Sergei Trofimovich
2020-12-29 23:15 Sam James
2020-12-29 21:47 James Le Cuirot
2020-12-27 22:58 Sam James
2020-12-27 21:43 James Le Cuirot
2020-09-05 13:04 James Le Cuirot
2020-08-23 16:42 James Le Cuirot
2020-05-28 22:24 James Le Cuirot
2020-03-20 21:53 Matt Turner
2020-03-13 23:16 Andrey Utkin
2020-03-11 23:50 Andrey Utkin
2019-08-19 11:37 Agostino Sarubbo
2019-08-14 17:59 Aaron Bauman
2019-08-14 8:53 Agostino Sarubbo
2019-08-12 18:22 Andrey Utkin
2019-08-12 18:22 Andrey Utkin
2019-06-06 7:14 Agostino Sarubbo
2019-05-13 17:25 Andrey Utkin
2019-04-09 14:36 Mikle Kolyada
2019-03-11 18:05 Andrey Utkin
2019-03-04 17:21 Alexis Ballier
2019-02-27 16:37 Alexis Ballier
2019-02-27 16:30 Alexis Ballier
2019-02-27 16:30 Alexis Ballier
2019-02-26 18:36 Alexis Ballier
2018-01-18 15:04 Mikle Kolyada
2018-01-18 15:03 Mikle Kolyada
2017-12-16 10:31 Tobias Klausmann
2017-11-27 19:46 Sergei Trofimovich
2017-11-23 11:54 Tobias Klausmann
2017-05-30 10:54 Alexis Ballier
2017-04-25 12:58 Alexis Ballier
2016-09-28 18:30 Michael Palimaka
2016-06-18 0:57 Alexandre Rostovtsev
2016-06-18 0:57 Alexandre Rostovtsev
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1551285030.f991530ac74c41404da667d70b093798ea26c0f1.aballier@gentoo \
--to=aballier@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox